﻿@model  Select2TiposContatosViewModel
<div>
    <div class="col-lg-3 nopaddingright">
        <label for="input-text-1">
            <strong>Código:</strong>
        </label>
        <input id="@Model.idControleInput" type="text" class="form-control numeric"  maxlength="4">
    </div>
    <div class="col-lg-9">
        <label for="input-text-1">
            <strong>Tipo:</strong>
        </label>
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
</div>
<script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2TiposContatos/ObterDescricoesTiposContatos")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "DESTIPCTO";
                textoInicial = "Selecione um Dept/Cargo";
                jsonTexto = "DESTIPCTO";
                jsonValor = "CODTIPCTO";
                caracteresMinimos = 0;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
			}
			inicializar(null);
		}

		$("#@Model.idControleInput").change(function () {
			if ($(this).val().length > 0) {
				//
				with (new ComponenteAJAXFactory()) {
					with (modelo) {
						ajaxSuccessCallbackMethod = function (data) {
							var bEach = false;
							$(data).each(function (idx, dat) {
								bEach = true;
								$("#@Model.idControleSelect2").select2("trigger", "select", {
                                    data: { id: dat.CODTIPCTO, text: dat.DESTIPCTO}
                                });
								return;
							});
							if (!bEach) {
                                swal('Verificar!', 'Tipo não encontrado!');
                                setCustomIcon('fa fa-window-close');
								$("#@Model.idControleInput").val('');
                                $("#@Model.idControleSelect2").empty().change();
							}
						};
						ajaxURL = '@Url.Content("~/api/Select2TiposContatos/ObterCodigosTiposContatos")';
						async = true;
                        with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODTIPCTO", tipoJsonEnviar = 'tipoNumerico' };
					}
					inicializar(null);
				}
				//
			}
		});
    });

</script>
